`GET /api/v1/maintenance-windows` — list all maintenance windows.
GET
/api/v1/maintenance-windows
const url = 'https://example.com/api/v1/maintenance-windows';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/maintenance-windowsResponses
Section titled “ Responses ”List of maintenance windows
Media type application/json
Array<object>
Response body for a single maintenance window.
object
created_by
required
string
ends_at
required
integer format: int64
id
required
string
reason
required
string
starts_at
required
integer format: int64
Example generated
[ { "created_by": "example", "ends_at": 1, "id": "example", "reason": "example", "starts_at": 1 }]